



export class GridParamsController {

    static NAME: string = 'nwfGridParamsController';

    public restrict = 'E';
    public scope = {
        params: "="
    };
    public controller = function ($scope) {

        this.params = $scope.params || {};

        $scope.$watch(function () {
            return this.params;
        }.bind(this), function (newValue, oldValue) {
            if (newValue !== oldValue) {
                //Emit the changed values to parent controller.
                $scope.$emit('gridParamsChange', this.params, oldValue);
            }
        }.bind(this), true);
    };


    constructor() {


    }

}
// export factory function
export function GridParamsControllerFactory(): GridParamsController {
    return new GridParamsController();
}
