
import nwfAboutController from './nwfAbout-controller';

export class NwfAbout implements angular.IDirective {
    static NAME: string = 'nwfAbout';
    restrict = 'E';
    scope = {
        productData: '=',
        productName: '@',
        systemId: '@',
        version: '@',
        conftext: '@',
        copyright: '@'
    };
    replace = true;
    controller = nwfAboutController;
    template = '<li ng-click="open()" class="nwf-about-anchor">About</li>';
}

// export factory function
export function NwfAboutFactory(): NwfAbout {
    return new NwfAbout();
}
