/// <amd-dependency path="text!./nwfChangePassword-modal.html" name="changePasswordModalTemplate" />

import nwfChangePasswordInstCtrl from './nwfChangePasswordInst-controller';

declare var changePasswordModalTemplate;

export default class NwfChangePasswordController {
    static $inject = ['$scope', '$uibModal'];
    constructor($scope, $uibModal: angular.ui.bootstrap.IModalService) {

        $scope.changePasswordFn = function () {

            var modalInstance = $uibModal.open({
                template: changePasswordModalTemplate,
                controller: nwfChangePasswordInstCtrl,
                backdrop: 'static',
                resolve: {
                    title: function () {
                        return 'Change Password';
                    }
                }
            });

            modalInstance.result.then(function (message) {
                $scope.$emit('pageAlertShowMessage', message);
            });
        };

    }
}

