/// <amd-dependency path="text!./nwfLogin-directive.html" name="nwfLoginDirective" />

import nwfLoginController from './nwfLogin-controller';

declare var nwfLoginDirective;

export class NwfLogin implements angular.IDirective {
    static NAME: string = 'nwfLogin';
    public restrict = 'E';
    public controller = nwfLoginController;
    public template = nwfLoginDirective;
    public scope = {
      appTitle: '@'  
    };
    public replace = true;
    public transclude = false;

    constructor() {

    }

};

// export factory function
export function NwfLoginFactory(): NwfLogin {
    return new NwfLogin();
}
