 /// <amd-dependency path="text!./nwfLogout-failed-dialog.html" name="logoutFailedModalTemplate" />
   
declare var logoutFailedModalTemplate;
declare var loginForgotPasswordTemplate;
declare var loginResetPasswordTemplate;
declare var loginResetPasswordResultTemplate;

export default class NwfLogoutController {
    static $inject = ['$scope', '$uibModal', 'authStrategy'];
    constructor($scope, $uibModal, authStrategy) {
        // Controller used by logout failed dialog.
        var logoutFailedController = ['$scope', '$uibModalInstance',
            function($scope, $uibModalInstance) {
                $scope.ok = function() {
                    $uibModalInstance.close();
                };
            }
        ];

        //Logout call.
        $scope.logoutFn = function() {
            authStrategy.logoutFn().then(
                function() {
                },
                function() {

                    var modalInstance = $uibModal.open({
                        template: logoutFailedModalTemplate,
                        controller: logoutFailedController,
                        windowClass: 'nwf-login-error-modal',
                        backdrop: 'static'
                    });

                });
        };
    }
}
 